मुख्य सामग्री पर जाएं
POST
/
api
/
v1
/
energy
/
activate
एड्रेस सक्रिय करें
curl --request POST \
  --url https://api.example.com/api/v1/energy/activate \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>"
}
'
{
  "success": true,
  "tx_hash": "<string>"
}

एड्रेस सक्रिय करें

उस TRON एड्रेस को सक्रिय करता है जिसने कभी कोई ट्रांज़ैक्शन प्राप्त नहीं किया है। एड्रेस द्वारा टोकन प्राप्त करने से पहले यह आवश्यक है। लागत: 1.1 TRX (आपके बैलेंस से काटा जाता है)

अनुरोध बॉडी

address
string
आवश्यक
सक्रिय करने के लिए TRON एड्रेस (T… प्रारूप)

रिस्पॉन्स

success
boolean
सक्रियण सफल हुआ या नहीं
tx_hash
string
सक्रियण ट्रांज़ैक्शन हैश

उदाहरण

curl -X POST https://api.tronrental.com/v1/energy/activate \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"address": "TNewInactiveAddress..."}'
Response
{
  "success": true,
  "tx_hash": "a1b2c3d4e5f6..."
}